package com.zcloud.service.check;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：清单检查记录
 * 作者：luoxiaobao
 * 时间：2021-01-25
 * 官网：www.zcloudchina.com
 */
public interface CheckUserService {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;

	/**查看检查清单检查人
	 * @param pd
	 * @throws Exception
	 */
	public PageData getCheckUser(PageData pd)throws Exception;

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception;

	/**查询人员检查数
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> countCheByUser(PageData pd)throws Exception;

	/**绩效得分
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> getDeptExamine(PageData pd)throws Exception;
	public List<PageData> getUserExamine(PageData pd)throws Exception;

}

